List Agent Files
curl --request GET \
--url https://agent-studio.thena.ai/api/v1/agent-files/{agent_id}/files \
--header 'x-api-key: <api-key>'import requests
url = "https://agent-studio.thena.ai/api/v1/agent-files/{agent_id}/files"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://agent-studio.thena.ai/api/v1/agent-files/{agent_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"bucket_path": "<string>",
"size": 123,
"mime_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent files
List Agent Files
List all files associated with an agent.
GET
/
api
/
v1
/
agent-files
/
{agent_id}
/
files
List Agent Files
Authorizations
Path Parameters
Response
Successful Response
⌘I